%define name    glopster
%define version 1.3.1
%define release 2%{_my_ext}

Summary:	gLopster is a opennap/chat client.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Networking/File transfer
Source:		glopster-1.3.1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Vendor:		%{vendor}
Distribution:	%{distribution}
Packager:	%{packager}

%description
gLopster is an opennap and chat client.

Gives support to play ogg, flac, mp3 and most other
video/audio files.

Build Options:
	--with-zlib

%prep
%setup

%build
%configure --with-zlib

make
%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/ $RPM_BUILD_ROOT%{_liconsdir}/ $RPM_BUILD_ROOT%{_miconsdir}
cp $RPM_BUILD_DIR/%{name}-%{version}/src/glopster.png $RPM_BUILD_ROOT%{_liconsdir}/glopster.png
cp $RPM_BUILD_DIR/%{name}-%{version}/src/glopster.png $RPM_BUILD_ROOT%{_miconsdir}/glopster.png
cp $RPM_BUILD_DIR/%{name}-%{version}/src/glopster.png $RPM_BUILD_ROOT%{_iconsdir}/glopster.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_menudir}/ $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/Networking/File\ transfer/

cp $RPM_BUILD_DIR/%{name}-%{version}/src/gLopster.desktop $RPM_BUILD_ROOT%{_datadir}/applications/gLopster.desktop
cp $RPM_BUILD_DIR/%{name}-%{version}/src/gLopster.desktop $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/Networking/File\ transfer/gLopster.desktop

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="Networking/File\ transfer" \
        title="gLopster" \
        longtitle="Extensive Napsterclient developed in C using the GTK toolkit." \
        command="%{_bindir}/%{name}" \
        icon="glopster.png"
EOF

%files

%defattr(-,root,root)
/usr/*
%doc BUGS NEWS README README.ES README.pings TODO INSTALL COPYING ChangeLog ChangeLog.Sgop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Aug 2 2004 <sgrayban@borgnet.us>
- Fixed an error with Server type reporting.

* Fri Jul 23 2004 <sgrayban@borgnet.us>
- Rebuilded for flac and ogg support

* Wed Jul 21 2004 <sgrayban@borgnet.us>
- gLopster packaged for Mandrake 10
- Initial rpm build
